Package net.shibboleth.idp.plugin.authn.webauthn.admin.impl

# Class PasskeyCredentialLabeller

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.PasskeyCredentialLabeller

All Implemented Interfaces:
  `BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>`

@ThreadSafe public class PasskeyCredentialLabeller extends Object implements BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>
A credential labeller function that labels credentials as 'Passkey' if they are discoverable.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`DEFAULT_LABEL`
The default label to use.
`private String`
`label`
The label to use.

## Constructor Summary

Constructors
Constructor
Description
`PasskeyCredentialLabeller()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`apply(EnhancedCredentialRecord cred, ProfileRequestContext prc)`
`void`
`setLabel(String labelIn)`
Set the label to use.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiFunction

`andThen`

## Field Details

### DEFAULT_LABEL

@Nonnull @NotEmpty private static final String DEFAULT_LABEL
The default label to use.

See Also:
  - Constant Field Values

### label

@Nonnull @NotEmpty private String label
The label to use.

## Constructor Details

### PasskeyCredentialLabeller

public PasskeyCredentialLabeller()
Constructor.

## Method Details

### setLabel

public void setLabel(@Nonnull String labelIn)
Set the label to use.

Parameters:
  `labelIn` - The label to set.

### apply

public List<String> apply(@Nullable EnhancedCredentialRecord cred, @Nullable ProfileRequestContext prc)

Specified by:
  `apply` in interface `BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>`